@import 'defaults';

.m-topbar--navigation {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding-left: 8px;

  @media screen and (max-width: $min-tablet) {
    padding-left: 0;
  }

  &:not(.m-topbar--navigation--text-only) .m-topbar--navigation--item span {
    @media screen and (max-width: 840px) {
      display: none;
    }
  }
}

.m-topbar--navigation--item {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-weight: 400;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  text-decoration: none;
  font-family: 'Roboto', Helvetica, sans-serif;
  padding: 12px 8px;
  //border-right: 1px solid themed($m-grey-50);

  @include m-theme() {
    color: themed($m-grey-950);
    border-top: 4px solid themed($m-white);
    border-bottom: 4px solid themed($m-white);
  }

  &.m-topbar--navigation--item-active {
    @include m-theme() {
      color: themed($m-blue);
      border-top: 4px solid themed($m-blue);
    }

    i {
      @include m-theme() {
        color: themed($m-blue);
      }
    }
  }

  i {
    font-size: 18px;
    @include m-theme() {
      color: themed($m-grey-700);
    }
  }

  span {
    text-transform: uppercase;
    font-size: 11px;
    letter-spacing: 1.25px;
    padding-left: 4px;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    position: relative;
  }
}

.m-topbarNavigationItem__text--has-marker {
  &::after {
    border-radius: 50%;
    display: block;
    height: 8px;
    width: 8px;
    content: '';
    position: absolute;
    top: -2px;
    right: -12px;
    @include m-theme() {
      background-color: themed($m-blue);
    }
  }
}
